#ifndef _qed_magx_h_
#define _qed_magx_h_

/*
 * Funktionen 
*/

GLOBAL WORD	check_magx			(VOID);
/*
 * berprft, ob MagiC luft und gibt Versionsnummer zurck,
 * null, wenn kein MagiC installiert.
*/

/*
 * Neue AES-Funktionen
 */
 
/* Messages */
#define SM_M_SPECIAL		101
#define SMC_SWITCH		2

#define WM_M_BDROPPED	100
#define WF_M_BACKDROP   100

/*
 * Zeichensatzauswahl:
*/

/* Definitionen fr <font_flags> bei fnts_create() */

#define	FNTS_BTMP	1				/* Bitmapfonts anzeigen */
#define	FNTS_OUTL	2				/* Vektorfonts anzeigen */
#define	FNTS_MONO	4				/* quidistante Fonts anzeigen */
#define	FNTS_PROP	8				/* proportionale Fonts anzeigen */

/* Definitionen fr <dialog_flags> bei fnts_create() */
#define	FNTS_3D		1				/* 3D-Design benutzen */

/* Definitionen fr <button_flags> bei fnts_do() */
#define	FNTS_SNAME		0x01		/* Checkbox fr die Namen selektieren */
#define	FNTS_SSTYLE		0x02		/* Checkbox fr die Stile selektieren */
#define	FNTS_SSIZE		0x04		/* Checkbox fr die Hhe selektieren */
#define	FNTS_SRATIO		0x08		/* Checkbox fr das Verhltnis Breite/Hhe selektieren */

#define	FNTS_CHNAME		0x0100	/* Checkbox fr die Namen anzeigen */
#define	FNTS_CHSTYLE	0x0200	/* Checkbox fr die Stile anzeigen */
#define	FNTS_CHSIZE		0x0400	/* Checkbox fr die Hhe anzeigen */
#define	FNTS_CHRATIO	0x0800	/* Checkbox fr das Verhltnis Breite/Hhe anzeigen */
#define	FNTS_RATIO		0x1000	/* Verhltnis Breite/Hhe einstellbar */
#define	FNTS_BSET		0x2000	/* Button "setzen" anwhlbar */
#define	FNTS_BMARK		0x4000	/* Button "markieren" anwhlbar */

/* Definitionen fr <button> bei fnts_do() */

#define	FNTS_CANCEL	1				/* "Abbruch" wurde angewhlt */
#define	FNTS_OK		2				/* "OK" wurde gedrckt */
#define	FNTS_SET		3				/* "setzen" wurde angewhlt */

GLOBAL VOID	*fnts_create	(WORD handle, WORD no_fonts, WORD font_flags, 
								 	 WORD dialog_flags, UBYTE *sample, UBYTE *opt_button);
GLOBAL WORD	fnts_delete		(VOID *fnt_dialog, WORD handle);
GLOBAL WORD	fnts_do			(VOID *fnt_dialog, WORD button_flags, LONG id_in, 
									 LONG pt_in, LONG ratio_in, WORD *check_boxes, 
									 LONG *id, LONG *pt, LONG *ratio);

#endif
